net.sf.okapi.common.filters

## Enum PropertyTextUnitPlaceholder.PlaceholderAccessType

- java.lang.Object
- - java.lang.Enum<PropertyTextUnitPlaceholder.PlaceholderAccessType>
  - - net.sf.okapi.common.filters.PropertyTextUnitPlaceholder.PlaceholderAccessType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PropertyTextUnitPlaceholder.PlaceholderAccessType>
  Enclosing class:
    PropertyTextUnitPlaceholder

      public static enum PropertyTextUnitPlaceholder.PlaceholderAccessType
      extends java.lang.Enum<PropertyTextUnitPlaceholder.PlaceholderAccessType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NAME`
    `READ_ONLY_PROPERTY`
    `TRANSLATABLE`
    `WRITABLE_PROPERTY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyTextUnitPlaceholder.PlaceholderAccessType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PropertyTextUnitPlaceholder.PlaceholderAccessType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSLATABLE

          public static final PropertyTextUnitPlaceholder.PlaceholderAccessType TRANSLATABLE

    - #### READ_ONLY_PROPERTY

          public static final PropertyTextUnitPlaceholder.PlaceholderAccessType READ_ONLY_PROPERTY

    - #### WRITABLE_PROPERTY

          public static final PropertyTextUnitPlaceholder.PlaceholderAccessType WRITABLE_PROPERTY

    - #### NAME

          public static final PropertyTextUnitPlaceholder.PlaceholderAccessType NAME

  - ### Method Detail

    - #### values

          public static PropertyTextUnitPlaceholder.PlaceholderAccessType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyTextUnitPlaceholder.PlaceholderAccessType c : PropertyTextUnitPlaceholder.PlaceholderAccessType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyTextUnitPlaceholder.PlaceholderAccessType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null